package cn.com.countrygarden.bi.main.model.microSatisfy;

import java.util.Map;

/**
 * 项目、区域排名
 * @author shitong
 *
 */
public class MicroSatisfyRankModel implements Comparable<MicroSatisfyRankModel> {
	private String pid;			//批次ID
	private String commId;		//项目ID
	private String commName;	//项目名
	private String organId;		//区域id
	private String organName;	//区域名称
	private String commRank;	//项目排名
	private int organRank;	//区域排名
	private String commNum;		//项目数
	private String satisfyOrign;	//满意度原始得分
	private Double satisfy;		//区域满意度
	private String bottleScore;	//摸底得分
	private String commScore;	//项目得分
	private int rankCurMon;	//当月排名
	private int rankCurMonStatus;	//0 当月排名上升 1当月排名下降
	private int rankLastMon;	//上月排名
	private int rankLastMonStatus;	//0 上月排名上升 1上月排名下降
	private String rankChange;	//排名变动
	private int rankChangeStatus;	//0 排名变动上升 1排名变动下降
	private String monthUp;		//月提升值
	private String month;		//当月时间
	private String createdBy;	//创建人
	private String createDate;	//创建时间
	private String timeStr;		//时间戳
	private String satisfactionRate;//满意率
	
	private Map<String,String> map;
	
	public String getPid() {
		return pid;
	}
	public void setPid(String pid) {
		this.pid = pid;
	}
	public String getCommId() {
		return commId;
	}
	public void setCommId(String commId) {
		this.commId = commId;
	}
	public String getCommName() {
		return commName;
	}
	public void setCommName(String commName) {
		this.commName = commName;
	}
	public String getOrganId() {
		return organId;
	}
	public void setOrganId(String organId) {
		this.organId = organId;
	}
	public String getOrganName() {
		return organName;
	}
	public void setOrganName(String organName) {
		this.organName = organName;
	}
	public String getCommRank() {
		return commRank;
	}
	public void setCommRank(String commRank) {
		this.commRank = commRank;
	}

	public int getOrganRank() {
        return organRank;
    }
    public void setOrganRank(int organRank) {
        this.organRank = organRank;
    }
    public String getCommNum() {
		return commNum;
	}
	public void setCommNum(String commNum) {
		this.commNum = commNum;
	}
	public String getSatisfyOrign() {
        return satisfyOrign;
    }
    public void setSatisfyOrign(String satisfyOrign) {
        this.satisfyOrign = satisfyOrign;
    }

    public Double getSatisfy() {
        return satisfy;
    }
    public void setSatisfy(Double satisfy) {
        this.satisfy = satisfy;
    }
    public String getBottleScore() {
		return bottleScore;
	}
	public void setBottleScore(String bottleScore) {
		this.bottleScore = bottleScore;
	}
	public String getCommScore() {
		return commScore;
	}
	public void setCommScore(String commScore) {
		this.commScore = commScore;
	}

	public int getRankCurMon() {
        return rankCurMon;
    }
    public void setRankCurMon(int rankCurMon) {
        this.rankCurMon = rankCurMon;
    }
    public int getRankCurMonStatus() {
		return rankCurMonStatus;
	}
	public void setRankCurMonStatus(int rankCurMonStatus) {
		this.rankCurMonStatus = rankCurMonStatus;
	}

	public int getRankLastMon() {
        return rankLastMon;
    }
    public void setRankLastMon(int rankLastMon) {
        this.rankLastMon = rankLastMon;
    }
    public int getRankLastMonStatus() {
		return rankLastMonStatus;
	}
	public void setRankLastMonStatus(int rankLastMonStatus) {
		this.rankLastMonStatus = rankLastMonStatus;
	}
	public String getRankChange() {
		return rankChange;
	}
	public void setRankChange(String rankChange) {
		this.rankChange = rankChange;
	}
	public int getRankChangeStatus() {
		return rankChangeStatus;
	}
	public void setRankChangeStatus(int rankChangeStatus) {
		this.rankChangeStatus = rankChangeStatus;
	}
	public String getMonthUp() {
		return monthUp;
	}
	public void setMonthUp(String monthUp) {
		this.monthUp = monthUp;
	}
	public String getMonth() {
		return month;
	}
	public void setMonth(String month) {
		this.month = month;
	}
	public String getCreatedBy() {
		return createdBy;
	}
	public void setCreatedBy(String createdBy) {
		this.createdBy = createdBy;
	}
	public String getTimeStr() {
		return timeStr;
	}
	public void setTimeStr(String timeStr) {
		this.timeStr = timeStr;
	}
	public String getCreateDate() {
		return createDate;
	}
	public void setCreateDate(String createDate) {
		this.createDate = createDate;
	}
    public String getSatisfactionRate() {
        return satisfactionRate;
    }
    public void setSatisfactionRate(String satisfactionRate) {
        this.satisfactionRate = satisfactionRate;
    }
    public Map<String, String> getMap() {
        return map;
    }
    public void setMap(Map<String, String> map) {
        this.map = map;
    }
    @Override
    public int compareTo(MicroSatisfyRankModel o) {
        return satisfy.compareTo(o.getSatisfy());
    }
	
	
}
